{% extends 'instagram/base.html.twig' %}

{% block title %}Account index{% endblock %}

{% block content %}

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Login</th>
                <th>State</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for account in accounts %}
            <tr>
                <td>{{ account.id }}</td>
                <td>{{ account.login }}</td>
                <td>{{ account.state }}</td>
                <td>
                    <a class="modal-open" href="{{ path('instagram.account.show', {'id': account.id}) }}"><i class="far fa-eye"></i></a>
                    <a class="modal-open" href="{{ path('instagram.account.edit', {'id': account.id}) }}"><i class="far fa-edit"></i></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="modal-open" href="{{ path('instagram.account.new') }}"><i class="far fa-plus-square"></i> Create new</a>
{% endblock %}
